/**** Global ****/
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Rubik", sans-serif;
  line-height: 1.5;
}

html {
  font-size: 18px;
  color: #4d4d4d;
}

img {
  width: 100%;
}

ul {
  list-style: inside;
} 

a {
  text-decoration: none;
  color: black;
}

section {
  width: 100%;
  padding: 2em 12%;
  margin: 0 auto;
}

.blue {
  color: #246BFD;
}

.bold {
  font-weight: 500;
}

/*** Nav ****/
nav {
  padding: 1rem 2rem;
}

nav div {
  display: flex;
  justify-content: center;
  gap: 2em;
  align-items: center;
}

nav div a {
  border: 1px solid #fff;
  color: #fff;
  padding: 8px 40px 8px 40px;
  border-radius: 60px;
}

#sideNav, #sideNav-background {
  display: none;
}

.menu-icon {
  display: none;
  cursor: pointer;
  position: absolute;
  left: 15px;
  top: 15px;
  background-color: #00000033;
  border-radius: 7px;
  padding: 10px;
}

.menu-icon > div {
  width: 35px;
  height: 3px;
  background-color: white;
  margin: 6px 0;
}

.closebtn {
  display: none;
}

.active {
  background-color: #fff;
  border-color: black;
  color: black;
}

/*** Header ***/
.header {
  background: linear-gradient(to right, #0032983D, #0032983D), url('images/bg.jpeg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 100svh;
  overflow: hidden;
}


/*** Hero Section ***/
.hero-section {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  max-width: 65em;
}

.logo {
  width: 100%;
  max-width: 62em;
  padding: 2em 0;
}

.hero-section p {
  max-width: 20em;
  font-size: 2rem;
  font-weight: 500;
  line-height: 48px;
  text-align: center;
  color: #fff;
}

.header-card {
  position: absolute;
  left: 15px;
  bottom: 15px;
  background-color: rgba(255, 255, 255, 0.301);
  backdrop-filter: blur(14px);
  border-radius: 40px;
  padding: 1em 2em;
  max-width: 350px;
}

.header-card p:first-of-type {
  font-size: 2.4rem;
  font-weight: 600;
  line-height: 67px;
  padding-bottom: 20px;
}

.header-card p:last-of-type {
  font-weight: 500;
  line-height: 24px;
  letter-spacing: -0.015em;
  color: white;
}

.bown-download-container {
  position: absolute;
  right: 0;
  bottom: 0;
}

.down-btn {
  background: url('images/down.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  width: 80px;
  height: 80px; 
  margin: 20px;
}

.download-btn {
  position: relative;
  width: fit-content;
  background-color: rgba(251, 251, 251, 1);
  color: white;
  padding: 1em 1em;
  border-top-left-radius: 40px;
}

#left-corner, #right-corner {
  width: 48px;
  height: 48px;
  overflow: hidden;
  position: absolute;
}

#left-corner {
  left: -47px;
  bottom: 0;
}

#right-corner {
  right: 0;
  top: -47px;
}

#left-corner:after, #right-corner:after {
  content: "";
  display: block;
  width: 200%;
  height: 200%;
  position: absolute;
  border-radius: 50%;
}

#left-corner:after {
  bottom: 0;
  right: 0;
  box-shadow: 50px 50px 0 0 rgba(251, 251, 251, 1);
}

#right-corner:after {
  bottom: 0;
  right: 0;
  box-shadow: 50px 50px 0 0 rgba(251, 251, 251, 1);
}

.download-btn a {
  display: flex;
  align-items: center;
  gap: 1em;
  font-size: 1.8rem;
  border: 1px solid #246BFD;
  color: #246BFD;
  border-radius: 35px;
  padding: 0.7em 1em;
}

.download-btn img {
  width: fit-content;
}

/*** What we Offer ***/
.what-we-offer {
  padding-top: 2em;
  display: flex;
  flex-wrap: wrap;
  align-items: baseline;
  gap: 2em;
}
.what-we-offer div:first-of-type {
  flex: 1.5;
  font-size: 1.6rem;
}
.what-we-offer div:last-of-type {
  font-size: 1.55rem;
  flex: 4;
  text-align: justify;
}

/*** Cards ***/
.card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1em;
}

.item1 {
  width: 31.5%;
}
.item2 {
  width: 31.5%;

}
.item3 {
  width: 31.5%;
}
.item4 {
  flex: 59%;
}
.item5 {
  flex: 39%;
}
.item6 {
  flex: 39%;
}
.item7 {
  flex: 59%;
}

.items {
  border-radius: 20px;
  padding: 1em;
  box-shadow: 0px 0px 55px 0px #0000001A;
}

/*** Virtual Clinic ***/
.virtual-clinic {
  display: flex;
  justify-content: space-between;
  gap: 3em;
}

.virtual-clinic div {
  flex: 1;
}

.virtual-clinic > div:last-of-type {
  text-align: left;
}

.virtual-clinic img {
  width: 100%;
  max-width: 550px;
}

.virtual-clinic-header h3 {
  width: fit-content;
  padding-left: 1em;
  padding-bottom: 5px;
  color: black;
  font-size: 1.6rem;
  border-bottom: 3px solid #246BFD;
}

.virtual-clinic-content p{
  padding: 1em 0;
  width: 100%;
  max-width: 650px;
  font-size: 1.2rem;
  font-weight: bold;
}

.virtual-clinic-content ul {
  width: 100%;
  max-width: 650px;
}

.virtual-clinic-content li {
  font-size: 1.2rem;
}

/*** Better Health ***/
.better-health {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.better-health h2 {
  font-size: 2.8rem;
}

.better-health p {
  padding: 1em 0;
  width: 100%;
  max-width: 46em;
  text-align: center;
  font-size: 1.3rem;
}

.video-container {
  cursor: pointer;
  width: 100%;
  max-width: 700px;
}

.video-container video {
  width: 100%;
  border-radius: 20px;
}

/*** With You Section  ***/
.with-you-section {
  text-align: center;
}

.with-you-section-content p:first-of-type {
  font-size: 3rem;
  color: #212121E3;
  font-weight: bold;
}

.with-you-section-content p:nth-of-type(2) {
  font-size: 1.2rem;
  width: 100%;
  padding: 1em 0;
  margin: 0 auto;
  max-width: 700px;
}

.with-you-section-content p:last-of-type {
  font-size: 1.2rem;
  color: #212121E3;
  font-weight: bold;
}

.with-you-section-download {
  display: flex;
  justify-content: center;
  gap: 1em;
  padding: 2em 0;
  flex-wrap: wrap;
}

.with-you-section-download img {
  width: 200px;
}

/*** Footer ***/
footer {
  text-align: center;
  background-color: #246BFD;
  color: white;
  padding: 1.5em 0;
} 

.footer-content {
  display: flex;
  justify-content: space-around;
  text-align: right;
  gap: 1em;
}

.footer-content h4 {
  font-size: 1.4rem;
  padding-bottom: 0.2em;
  font-weight: 500;
}

.footer-content ul {
  list-style: none;
}

.footer-content li {
  padding: 0.5em 0;
}

.footer-content a{
  color: white;
}

.subscribe-container h4 {
  font-size: 1.8rem;
}

.subscribe-container p {
  width: 100%;
  max-width: 400px;
  padding-bottom: 20px;
}

.subscribe-input {
  display: flex;
  justify-content: space-between;
  margin-bottom: 0.7em;
  border-radius: 50px;
  background-color: white;
  height: 40px;
  overflow: hidden;
  border: 1px solid white;
}

.subscribe-input button {
  display: inline-block;
  color: white;
  border: none;
  background-color: #001E5B;
  height: 100%;
  padding: 0 25px;
  font-size: 0.7rem;
}

.subscribe-input input {
  width: 100%;
  height: 40px;
  padding: 10px;
  border: none;
  border-radius: 30px;
}

.subscribe-input input:focus {
  outline: none;
}

.social-media {
  display: flex;
  justify-content: right;
  gap: 1em;
  width: 350px;
}

.whole-background{
  background-color: rgba(251, 251, 251, 1);
}

.card-background {
  background-color: rgb(255, 255, 255);
}

.item-text{
  color:#858585;
  padding: 2px;
}

.item-content{
  padding-right: 13px;
}

.item-image{
  margin: 9px;
}

.doctoria-bags{
  display: flex;
  gap: 2em;
}

.doctoria-bags-header{
  color: #246bfd;
}

.doctoria-bags-image{
  width: 50%;
  box-shadow: 0px 1px 8px 4px #00000029;
  border-radius: 20px;
  padding: 35px;
}

.bag-description{
  padding: 1em 1em;
  margin-top: 20px;
  border: 1px solid grey;
  border-radius: 20px;
  font-size: 1.2rem;
  background-image: url('images/dashboard.png');
  background-repeat: no-repeat;
  background-position: center;

}

.download-store {
  display: flex;
  flex-direction: column;
}

.download-store img{
  width: 100%;
  max-width: 200px;
}

.footer-links {
  display: flex;
  justify-content: space-between;
  width: 55%;
}

.footer-content {
  padding: 1em 5%;
}

.subscription-button{
  transition: background-color 0.3s;
}
.subscription-button:hover {
  background-color: #407948;
  color: white;
}
.subscription-button:active {
  background-color: #2E5834;
  color: white;
}
.footer-content-details:hover{
  text-decoration: underline;
  cursor: default
}
.icon img {
  transition: opacity 0.3s;
}

.download-now:hover{
  background-color: #246BFD;
  color: white;
}

.navbar-content {
  text-decoration: none;
  transition: background-color 0.10s;
}

.navbar-content:hover {
  background-color: #FFFFFF3D;
}

.send-hover:hover {
  background-color: #246BFD;
  color: white;
}
.no-resize {
  resize: none;
}

/*** Responsive ***/

/* Large Screens (992px - 1199px) */
@media (max-width: 1199px) {
  html {
      font-size: 16px;
  }
  section {
      padding: 1em 10%;
  }

  .footer-content {
    flex-direction: column-reverse;
    align-items: center;
  }

  .footer-links {
    width: 100%;
  }
}

/* Medium Screens (768px - 991px) */
@media (max-width: 991px) {
  html {
      font-size: 14px;
  }
  section {
      padding: 1em 5%;
  }

  .menu-icon {
    display: block;
  }

  .main-nav {
    display: none;
  }

  .closebtn {
    display: block;
    font-size: 2rem;
    color: white;
  }

  #sideNav {
    display: block;
    height: 100vh;
    background-color: #001E5B;
    padding: 1rem 2rem;
    z-index: 9999;
    position: fixed;
    transition: 0.5s;
    left: 0;
    width: 100%;
    max-width: 450px;
    transform: translateX(-110%);
  }

  #sideNav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
  }
  
  #sideNav div {
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: 2em;
    align-items: start;
    padding-top: 5em;
  }
  
  #sideNav div a {
    border: none;
    color: #fff;
    padding: 0;
    border-radius: 60px;
    font-size: 1.4rem;
  }
 
  #sideNav-background {
    display: block;
    background-color: #21212166;
    width: 100%;
    height: 100vh;
    z-index: 999;
    position: fixed;
    overflow: hidden;
    transform: translateX(-110%);
    transition: 0.3ms;
  }

}

/* Small Screens (576px - 767px) */
@media  (max-width: 767px) {
  html {
      font-size: 14px;
  }
  section {
      padding: 1em 5%;
  }

  .card-container {
    flex-direction: column;
    align-items: center;
  }

  .items {
    width: 100%;
  }

  .virtual-clinic {
    flex-direction: column;
    align-items: center;
  }

  .footer-content {
    flex-direction: column-reverse;
  }
  .footer-content img {
    width: fit-content;
  }
}

@media (max-width: 670px) {
  .header-card {
    max-width: 230px;
  }
  .download-btn a {
    font-size: 1.2rem;
  }
  .what-we-offer {
    gap: 1em;
  }
  .what-we-offer div:first-of-type {
    flex: 2;
    font-size: 1.3rem;
  }
  .what-we-offer div:last-of-type {
    font-size: 1.2rem;
  }
}

/* Extra Small Screens (<576px) */
@media (max-width: 575px) {
  html {
      font-size: 12px;
  }
  section {
      padding: 1em 5%;
  }
  .footer-links {
    flex-direction: column-reverse;
  }
  .footer-content {
    align-items: start;
  }
  .subscribe-container {
    width: 100%;
  }
  .subscribe-input {
    width: 100%;
  }
  .social-media {
    width: 100%;
  }
}

@media (max-width: 490px) {
  .header-card {
    display: none;
  }
}